OpenDataException (Java Platform SE 8 )
Keywords: javax.management.openmbean.OpenDataException class
Date: 2026-04-17

compact3
javax.management.openmbean

## Class OpenDataException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.openmbean.OpenDataException

- All Implemented Interfaces:
    Serializable

      public class OpenDataException
      extends JMException

  This checked exception is thrown when an open type, an open data or an open MBean metadata info instance could not be constructed because one or more validity constraints were not met.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenDataException()` An OpenDataException with no detail message.
    `OpenDataException(String msg)` An OpenDataException with a detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenDataException

          public OpenDataException()

      An OpenDataException with no detail message.

    - #### OpenDataException

          public OpenDataException(String msg)

      An OpenDataException with a detail message.
      Parameters:
        `msg` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.